Build Communi Error



  • I am trying to build communi and got the following error. It looks like maybe my Qt path is not set correctly but I don't know which. I am new to Qt so any help is appreciated.

    Project MESSAGE: Warning: unknown QT: widgets


  • Moderators

    welcome to devnet

    It might be completely clear to you what you are doing and where the problem occurs. However, a bit more information would be helpful to give others a hint where to look at.

    Please provide details on OS, compiler, IDE, target platform.



  • [quote author="jnxlh" date="1336661492"]I am trying to build communi and got the following error. It looks like maybe my Qt path is not set correctly but I don't know which. I am new to Qt so any help is appreciated.

    Project MESSAGE: Warning: unknown QT: widgets

    [/quote]

    widgets is a Module of Qt5, are you using Qt5 now?



  • Thanks for the reply. I am using Qt4. OS is Windows 7. Compiler Visual Studio. Target Platform Windows.

    Where do I download Qt 5? The latest I found was 4.8.1. But it looks like that Communi is written with Qt4 so using Qt 5 may not be the solution.


  • Moderators

    You can get it if you follow this: "Building Qt5 from Git":http://qt-project.org/wiki/Building_Qt_5_from_Git


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.